/*****************************************************************************
 *   type.h:  Type definition Header file for NXP LPC230x Family 
 *   Microprocessors
 *
 *   Copyright(C) 2006, NXP Semiconductor
 *   All rights reserved.
 *
 *   History
 *   2006.09.01  ver 1.00    Prelimnary version, first Release
 *
******************************************************************************/
#ifndef __TYPE_H__
#define __TYPE_H__

#ifndef NULL
#define NULL    ((void *)0)
#endif

#ifndef FALSE
#define FALSE   (0)
#endif

#ifndef TRUE
#define TRUE    (1)
#endif

typedef unsigned char  BYTE;	//8
typedef unsigned short WORD;	//16
typedef unsigned long  DWORD;	//32
typedef unsigned int   BOOL;	//32
/*
char 				8 	1   (byte-aligned) 
short 				16	2   (halfword-aligned) 
int 				32 	4   (word-aligned) 
long 				32 	4   (word-aligned) 
long long 			64 	8   (doubleword-aligned) 
float 				32 	4   (word-aligned) 
double 				64 	8   (doubleword-aligned) 
long double 		64 	8   (doubleword-aligned) 
All pointers 		32 	4   (word-aligned) 
bool (C++ only) 	8 	1   (byte-aligned) 
_Bool (C only[1]) 	8 	1   (byte-aligned) 
wchar_t (C++ only) 	16 	2   (halfword-aligned) 
	
*/


#endif  /* __TYPE_H__ */
